Skip to main content

Get all residents

GEThttps://api.propexo.com/v1/residents/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external resident id

x_property_id string

Deprecated: Use Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

lease_id string

The Propexo lease id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the resident.

email_1 string

The primary email address associated with the resident

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    leases_meta_data object[]
  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    notice_datestring | nullnullablerequired

    The date the resident gave notice

    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

  • ]
  • address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the resident

    address_1string | nullnullablerequired

    The first address line associated with the resident

    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the resident

    address_2string | nullnullablerequired

    The second address line associated with the resident

    balance_in_centsnumber | nullnullablerequired

    The rent balance owed

    Example: 100000
    city_alternatestring | nullnullablerequired

    The alternate city associated with the resident

    citystring | nullnullablerequired

    The city associated with the resident

    country_alternatestring | nullnullablerequired

    The alternate country associated with the resident

    countrystring | nullnullablerequired

    The country associated with the resident

    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    email_1string | nullnullablerequired

    The primary email address associated with the resident

    email_2string | nullnullablerequired

    The secondary email address associated with the resident

    first_namestring | nullnullablerequired

    The first name associated with the resident

    is_employeeboolean | nullnullablerequired

    Is the resident an employee

    last_namestring | nullnullablerequired

    The last name associated with the resident

    late_balance_in_centsnumber | nullnullablerequired

    The past due rent balance owed

    Example: 100000
    middle_namestring | nullnullablerequired

    The middle name associated with the resident

    notesstring | nullnullablerequired

    Notes associated with the resident

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    state_alternatestring | nullnullablerequired

    The alternate state associated with the resident

    statestring | nullnullablerequired

    The state associated with the resident

    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the resident

    zipstring | nullnullablerequired

    The zip code associated with the resident

    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the resident pet

    typestring | nullnullablerequired

    The type associated with the resident pet

    breedstring | nullnullablerequired

    The breed of the resident pet

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the resident pet

    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    is_fixedboolean | nullnullablerequired

    Whether the resident pet is fixed

    is_service_animalboolean | nullnullablerequired

    Whether the resident pet is a service animal

    notesstring | nullnullablerequired

    Notes associated with the resident pet

    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    makestring | nullnullablerequired

    The make of the resident vehicle

    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    colorstring | nullnullablerequired

    The color of the resident vehicle

    yearstring | nullnullablerequired

    The year of the resident vehicle

    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    license_plate_statestring | nullnullablerequired

    The license plate state of the resident vehicle

    notesstring | nullnullablerequired

    Notes associated with the resident vehicle

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/
curl https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"leases_meta_data": [
{
"lease_id": "string",
"x_resident_type": "string",
"resident_type_normalized": "string",
"move_in_date": "string",
"move_out_date": "string",
"notice_date": "string",
"custom_data": "Unknown Type: object,null",
"last_seen": "string"
}
],
"address_1_alternate": "string",
"address_1": "string",
"address_2_alternate": "string",
"address_2": "string",
"balance_in_cents": 100000,
"city_alternate": "string",
"city": "string",
"country_alternate": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"is_employee": true,
"last_name": "string",
"late_balance_in_cents": 100000,
"middle_name": "string",
"notes": "string",
"phone_1_type": "FAX",
"phone_1": "string",
"phone_2_type": "FAX",
"phone_2": "string",
"state_alternate": "string",
"state": "string",
"zip_alternate": "string",
"zip": "string",
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"name": "string",
"type": "string",
"breed": "string",
"gender_raw": "string",
"age_in_years": 0,
"weight_in_pounds": 0,
"is_fixed": true,
"is_service_animal": true,
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"make": "string",
"model": "string",
"color": "string",
"year": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
]
}